package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import cn.afterturn.easypoi.excel.annotation.ExcelCollection;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @description: 开单导出
 * @author: zhoutg
 * @date: 2021/8/2 13:40
 */
@Data
public class OtherExportDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @Excel(needMerge = true, name="规则名称", width = 25, orderNum = "10")
    private String ruleGroup = "";

    @ExcelCollection(name="组内明细", orderNum = "20")
    private List<DefaultExportDTO> defaultExportDTOList= new ArrayList<>();

    @Excel(needMerge = true, name="提示语", width = 25, orderNum = "30")
    private String msg;
}
