package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.LibConceptDTO;
import com.diagbot.dto.TermConceptDTO;
import com.diagbot.entity.KlLibraryInfo;
import com.diagbot.vo.LibConceptVO;
import com.diagbot.vo.TermMatchingListVO;
import com.diagbot.vo.TermMatchingVO;

import java.util.List;

/**
 * <p>
 * 术语表 Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
public interface KlLibraryInfoMapper extends BaseMapper<KlLibraryInfo> {

    TermConceptDTO getConcept(TermMatchingVO termMatchingVO);

    List<TermConceptDTO> getConceptList(TermMatchingListVO termMatchingListVO);

    List<LibConceptDTO> convertLibConcept(LibConceptVO libConceptVO);
}
