package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.LibConceptDTO;
import com.diagbot.dto.TermConceptDTO;
import com.diagbot.entity.KlLibraryInfo;
import com.diagbot.vo.LibConceptVO;
import com.diagbot.vo.TermMatchingListVO;
import com.diagbot.vo.TermMatchingVO;

import java.util.List;

/**
 * <p>
 * 术语表 服务类
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
public interface KlLibraryInfoService extends IService<KlLibraryInfo> {
    TermConceptDTO getConcept(TermMatchingVO termMatchingVO);

    List<TermConceptDTO> getConceptList(TermMatchingListVO termMatchingListVO);

    List<LibConceptDTO> convertLibConcept(LibConceptVO libConceptVO);
}
