package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @author: gaodm
 * @time: 2021/12/30 13:21
 */
@Getter
@Setter
public class RuleQueryKeyVO {
    @NotBlank(message = "医学标准术语不可为空")
    private String libName;
    @NotNull(message = "术语类型不可为空")
    private Integer libType;
    @NotNull(message = "规则类型不可为空")
    private Integer ruleType;
}
