package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import cn.afterturn.easypoi.excel.annotation.ExcelCollection;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @description: 开单导出
 * @author: zhoutg
 * @date: 2021/8/2 13:40
 */
@Data
public class IndicationNewExportDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @Excel(needMerge = true, name="规则名称", width = 25, orderNum = "10")
    private String ruleGroup = "";
    @Excel(needMerge = true, name="开单名称", width = 25, orderNum = "11")
    private String libName;
    @Excel(needMerge = true, name="开单类型", width = 17, orderNum = "12")
    private String libTypeCn;
    @Excel(needMerge = true, name="开单子名称", width = 25, orderNum = "13")
    private String sonLibName;
    @ExcelCollection(name="组内明细", orderNum = "20")
    private List<DefaultExportDTO> defaultExportDTOList= new ArrayList<>();
    @Excel(needMerge = true, name="提示语", width = 25, orderNum = "30")
    private String msg;
}
