package com.diagbot.dto;

import com.diagbot.enums.LexiconEnum;
import com.diagbot.enums.RuleTypeEnum;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: gaodm
 * @time: 2021/12/30 13:21
 */
@Getter
@Setter
public class RuleQueryDTO {
    private String libName;
    private Integer libType;
    private String libTypeName;
    private Integer ruleType;
    private String ruleTypeName;

    public String getLibTypeName() {
        return LexiconEnum.getName(libType);
    }

    public String getRuleTypeName() {
        return RuleTypeEnum.getName(ruleType);
    }
}
